This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1294648 - [abrt] kf5-kded: _XEventsQueued(): kded5 killed by SIGSEGV
[abrt] kf5-kded: _XEventsQueued(): kded5 killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kf5-kded (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6aebbd5089ab664ea303f480955...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-29 07:29 EST by Mustafa Muhammad
Modified: 2017-08-08 08:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:36:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.00 KB, text/plain)
2015-12-29 07:29 EST, Mustafa Muhammad
no flags Details
File: cgroup (362 bytes, text/plain)
2015-12-29 07:29 EST, Mustafa Muhammad
no flags Details
File: core_backtrace (5.30 KB, text/plain)
2015-12-29 07:29 EST, Mustafa Muhammad
no flags Details
File: dso_list (23.39 KB, text/plain)
2015-12-29 07:29 EST, Mustafa Muhammad
no flags Details
File: environ (2.79 KB, text/plain)
2015-12-29 07:29 EST, Mustafa Muhammad
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-29 07:29 EST, Mustafa Muhammad
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-29 07:29 EST, Mustafa Muhammad
no flags Details
File: maps (99.55 KB, text/plain)
2015-12-29 07:29 EST, Mustafa Muhammad
no flags Details
File: mountinfo (3.51 KB, text/plain)
2015-12-29 07:29 EST, Mustafa Muhammad
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-29 07:29 EST, Mustafa Muhammad
no flags Details
File: open_fds (7.27 KB, text/plain)
2015-12-29 07:30 EST, Mustafa Muhammad
no flags Details
File: proc_pid_status (1.17 KB, text/plain)
2015-12-29 07:30 EST, Mustafa Muhammad
no flags Details
File: var_log_messages (301 bytes, text/plain)
2015-12-29 07:30 EST, Mustafa Muhammad
no flags Details

  None (edit)
Description Mustafa Muhammad 2015-12-29 07:29:32 EST
Version-Release number of selected component:
kf5-kded-5.17.0-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/kded5
crash_function: _XEventsQueued
executable:     /usr/bin/kded5
global_pid:     4035
kernel:         4.4.0-0.rc6.git1.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _XEventsQueued at xcb_io.c:350
 #1 _XGetRequest at XlibInt.c:1702
 #2 XQueryExtension at QuExt.c:44
 #3 XInitExtension at InitExt.c:47
 #4 XextAddDisplay at extutil.c:110
 #5 XRRFindDisplay at Xrandr.c:295
 #6 XRRQueryExtension at Xrandr.c:352
 #7 ColorD::connectToDisplay at ../../colord-kded/ColorD.cpp:412
 #8 ColorD::ColorD at ../../colord-kded/ColorD.cpp:65
 #9 KPluginFactory::createInstance<ColorD, QObject> at /usr/include/KF5/KCoreAddons/kpluginfactory.h:477
Comment 1 Mustafa Muhammad 2015-12-29 07:29:40 EST
Created attachment 1110215 [details]
File: backtrace
Comment 2 Mustafa Muhammad 2015-12-29 07:29:42 EST
Created attachment 1110216 [details]
File: cgroup
Comment 3 Mustafa Muhammad 2015-12-29 07:29:44 EST
Created attachment 1110217 [details]
File: core_backtrace
Comment 4 Mustafa Muhammad 2015-12-29 07:29:46 EST
Created attachment 1110218 [details]
File: dso_list
Comment 5 Mustafa Muhammad 2015-12-29 07:29:48 EST
Created attachment 1110219 [details]
File: environ
Comment 6 Mustafa Muhammad 2015-12-29 07:29:50 EST
Created attachment 1110220 [details]
File: exploitable
Comment 7 Mustafa Muhammad 2015-12-29 07:29:51 EST
Created attachment 1110221 [details]
File: limits
Comment 8 Mustafa Muhammad 2015-12-29 07:29:54 EST
Created attachment 1110222 [details]
File: maps
Comment 9 Mustafa Muhammad 2015-12-29 07:29:56 EST
Created attachment 1110223 [details]
File: mountinfo
Comment 10 Mustafa Muhammad 2015-12-29 07:29:58 EST
Created attachment 1110224 [details]
File: namespaces
Comment 11 Mustafa Muhammad 2015-12-29 07:30:00 EST
Created attachment 1110225 [details]
File: open_fds
Comment 12 Mustafa Muhammad 2015-12-29 07:30:02 EST
Created attachment 1110226 [details]
File: proc_pid_status
Comment 13 Mustafa Muhammad 2015-12-29 07:30:03 EST
Created attachment 1110227 [details]
File: var_log_messages
Comment 14 Jan Kurik 2016-02-24 09:11:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 15 Fedora End Of Life 2017-07-25 15:41:58 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2017-08-08 08:36:18 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.